package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 提现周期枚举类
 */
@AllArgsConstructor
@Getter
public enum ECycle {

    /**
     * 周一
     */
    MONDAY(1, "周一", EnumsPrefixConstants.CYCLE + "1"),

    /**
     * 周二
     */
    TUESDAY(2, "周二", EnumsPrefixConstants.CYCLE + "2"),
    /**
     * 周三
     */
    WEDNESDAY(3, "周三", EnumsPrefixConstants.CYCLE + "3"),
    /**
     * 周四
     */
    THURSDAY(4, "周四", EnumsPrefixConstants.CYCLE + "4"),
    /**
     * 周五
     */
    FRIDAY(5, "周五", EnumsPrefixConstants.CYCLE + "5"),
    /**
     * 周六
     */
    SATURDAY(6, "周六", EnumsPrefixConstants.CYCLE + "6"),
    /**
     * 周日
     */
    SUNDAY(7, "周日", EnumsPrefixConstants.CYCLE + "7"),

    ;

    /**
     * 实际值
     */
    private final int value;

    /**
     * 显示标签
     */
    private final String label;
    /**
     * 国际化翻译key值
     */
    private final String key;


}
